> For the complete documentation index, see [llms.txt](https://docs.cmswager.com/cmswager-integration-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cmswager.com/cmswager-integration-document/client-api-reference/api-reference/concluding-bets.md).

# Concluding bets

<mark style="color:green;">`POST`</mark> `{clientApi}/ticket/result`

When a bet is concluded, a request will be sent to the client system with the odds and ticket updated status (see appendix).

The received request may contain a deposit amount. In this case the amount should be added to user balance.

{% hint style="info" %}
If this request encounters a server error, it will be retried for 24 hours until it gets a meaningful response
{% endhint %}

{% hint style="danger" %}
"Concluding bet" request will be sent only for tickets with status "0" (in running). If the ticket status on client side is different from "0" please response with failiure "406" code. This means that a previous "Reopening concluded bet" message was sent and has not been processed
{% endhint %}

#### Example request

```json
{
  "clientId": "xyzk",
  "userId": 123456,
  "transactionType": 1,
  "amount": 10.56,
  "ticket": {
    "id": 123456,
    "code": "abcd1234",
    "amount": 10.56,
    "isBonus": false,
    "isFreebet": false,
    "freebetId": 0,
    "totalWin": 10.56,
    "resultDate": "2024-05-03T23:45:00Z",
    "status": 2,
    "odds": [
      {
        "odd": {
          "id": "12sd665",
          "name": "Home",
          "oddValue": 1.2
        },
        "status": 2,
        "voidReson" : -1
      },
      {
        "odd": {
          "id": "12sd665",
          "name": "Home",
          "oddValue": 1.2
        },
        "status": 3,
        "voidReson" : 1
      }
    ]
  }
}
```

{% hint style="danger" %}
voidReason has a value different to "-1" only if the odd status is void.\
Please check in appendix section the Odds status and Void Reason possible values
{% endhint %}

#### Example Success Response

<mark style="color:green;">`Response code`</mark> 200

If the request is successfully pocessed in client system and the deposit amount (if present) was added to user balance, a 200 response should be returned

```json
{    
    "status": "success",
    "balance": 140.85,
    "error_code": 0,
    "error_message": ""
}
```

#### Example Failure Response

<mark style="color:red;">`Response code`</mark> 406

If there is any error in client system, a 406 response cose should be returned

```json
{
    "status": "error",
    "balance": 140.85,
    "error_code": 406,
    "error_message": "client error"
}
```
